﻿using Microsoft.VisualBasic.ApplicationServices;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sdi
{
    public class SdiApplication : WindowsFormsApplicationBase
    {
        private static SdiApplication _instance = null;

        public static SdiApplication Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new SdiApplication();
                }
                return _instance;
            }
        }
        public SdiApplication()
        {
            this.IsSingleInstance = true;//单一进程，及无论开多少窗体，都只有一个进程
            this.ShutdownStyle = ShutdownMode.AfterAllFormsClose;//关闭所有窗体后，关闭进程
        }
        protected override void OnStartupNextInstance(StartupNextInstanceEventArgs eventArgs)
        {
            SdiForm.CreateForm();
        }
        protected override void OnCreateMainForm()
        {
            SdiForm.CreateForm();
        }
    }
}
